<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLaundryBusinessTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('laundry_business', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->string('name_ar')->nullable();
            $table->boolean('status')->default(true);
            $table->unsignedBigInteger('business_type_id');
            $table->string('phone');
            $table->string('address');
            $table->string('email')->unique();
            $table->timestamp('expired_at')->nullable();
            $table->timestamps();

            $table->foreign('business_type_id')->references('id')->on('laundry_business_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('suppliers');
    }
}
