<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLaundrySubcategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('laundry_subcategories', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedBigInteger('parent');
            $table->string('name');
            $table->string('name_ar')->nullable();
            $table->boolean('status')->default(true);
            $table->unsignedBigInteger('business_id');
            $table->timestamps();

            $table->foreign('business_id')->references('id')->on('laundry_business');

            $table->foreign('parent')->references('id')->on('laundry_categories');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subcategories');
    }
}
