<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLaundryInventoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('laundry_inventories', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedBigInteger('category_id');
            $table->unsignedBigInteger('subcategory_id');
            $table->unsignedBigInteger('brand_id')->nullable();
            $table->unsignedBigInteger('supplier_id')->nullable();
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->double('washing_cost')->nullable();
            $table->integer('washing_cycle')->nullable();
            $table->unsignedBigInteger('business_id');
            $table->timestamps();

            $table->foreign('business_id')->references('id')->on('laundry_business');

            $table->foreign('category_id')->references('id')->on('laundry_categories');
            $table->foreign('subcategory_id')->references('id')->on('laundry_subcategories');
            $table->foreign('brand_id')->references('id')->on('laundry_brands');
            $table->foreign('supplier_id')->references('id')->on('laundry_suppliers');
            $table->foreign('customer_id')->references('id')->on('laundry_customers');
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('inventories');
    }
}
