<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLaundryInventoryItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('laundry_inventory_items', function (Blueprint $table) {
            $table->increments('id');
            $table->string('rfid')->index();
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('inventory_id');
            $table->boolean('isActive')->default(true); // ager realocated ho to isActive false ho ga taky dobara table me add ho sky
            
            $table->unsignedBigInteger('business_id');
            $table->timestamps();

            $table->foreign('business_id')->references('id')->on('laundry_business');

            $table->foreign('user_id')->references('id')->on('laundry_users');
            $table->foreign('inventory_id')->references('id')->on('laundry_inventories');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('inventory_items');
    }
}
