<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLaundryProcessStocksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('laundry_process_stocks', function (Blueprint $table) {
            $table->increments('id');
            $table->string('rfid')->nullable();
            $table->unsignedBigInteger('inventory_item_id');
            $table->enum('status', ['registered','issued','returned','washing','washing_returned','damaged','expired','lost','received','washed','sent']);
            $table->boolean('realloc')->default(false);
            $table->unsignedBigInteger('department_id')->nullable();
            $table->unsignedBigInteger('subdepartment_id')->nullable();
            $table->unsignedBigInteger('vendor_id')->nullable();
            $table->unsignedBigInteger('user_id');
            $table->string('note')->nullable();
            
            $table->unsignedBigInteger('business_id');
            $table->timestamps();

            $table->foreign('business_id')->references('id')->on('laundry_business');

            $table->foreign('user_id')->references('id')->on('laundry_users');
            $table->foreign('inventory_item_id')->references('id')->on('laundry_inventory_items');
            $table->foreign('department_id')->references('id')->on('laundry_departments');
            $table->foreign('subdepartment_id')->references('id')->on('laundry_subdepartments');
            $table->foreign('vendor_id')->references('id')->on('laundry_vendors');
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('process_stocks');
    }
}
