<?php

namespace Modules\Laundry\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;

class Brand extends Model
{
    protected $table = 'laundry_brands';

    public static function booted()
    {
        // anonymous scope function
        static::addGlobalScope('business_check', function (Builder $builder) {
            $builder->where('business_id', auth()->user()->business_id);
        });
    }

    public function setNameAttribute($value){
        // a litte hack ;)
        $this->attributes['business_id'] = auth()->user()->business_id;
        $this->attributes['name'] = $value;
    }
    
    protected $fillable = [
        'name',
        'name_ar',
        'status',
        'business_id'
    ];

    public function business()
    {
        return $this->belongsTo(Business::class);
    }
}