<?php

namespace Modules\Laundry\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;

class Business extends Model
{
    protected $table = 'laundry_business';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'name_ar',
        'status',
        'business_type_id',
        'phone',
        'address',
        'email',
        'expired_at'
    ];

    public function launders() {
        return $this->belongsToMany(Business::class, 'launder_owners', 'owner_id', 'launder_id');
    }
    
    public function owners() {
        return $this->belongsToMany(Business::class, 'launder_owners', 'launder_id', 'owner_id');
    }

    public function business_type()
    {
        return $this->belongsTo(BusinessType::class);
    }
    public function users()
    {
        return $this->hasMany(User::class);
    }
    public function brands()
    {
        return $this->hasMany(Brand::class);
    }
    public function categories()
    {
        return $this->hasMany(Category::class);
    }
    public function departments()
    {
        return $this->hasMany(Department::class);
    }
    public function fresh_stocks()
    {
        return $this->hasMany(FreshStock::class);
    }
    public function inventories()
    {
        return $this->hasMany(Inventory::class);
    }
    public function inventory_items()
    {
        return $this->hasMany(InventoryItem::class);
    }
    public function process_stocks()
    {
        return $this->hasMany(ProcessStock::class);
    }
    public function scan_stocks()
    {
        return $this->hasMany(ScanStock::class);
    }
    public function subcategories()
    {
        return $this->hasMany(Subcategory::class);
    }
    public function subdepartments()
    {
        return $this->hasMany(Subdepartment::class);
    }
    public function suppliers()
    {
        return $this->hasMany(Supplier::class);
    }
    public function customers()
    {
        return $this->hasMany(Customer::class);
    }
    public function vendors()
    {
        return $this->hasMany(Vendor::class);
    }

}
