<?php

namespace Modules\Laundry\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;

class FreshStock extends Model
{

    public static function booted()
    {
        static::addGlobalScope('business_check', function (Builder $builder) {
            $builder->where('business_id', auth()->user()->business_id);
        });
    }

    public function setRfidAttribute($value){
        $this->attributes['business_id'] = auth()->user()->business_id;
        $this->attributes['rfid'] = $value;
    }
    protected $fillable = [
        'rfid',
        'business_id'
    ];

    public function business()
    {
        return $this->belongsTo(Business::class);
    }
}
