<?php

namespace Modules\Laundry\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;

class Role extends Model
{
    protected $table = 'laundry_roles';

    public static function booted()
    {
        static::addGlobalScope('business_check', function (Builder $builder) {
            $builder->where('business_id', auth()->user()->business_id);
        });
    }

    public function setNameAttribute($value){
        $this->attributes['business_id'] = auth()->user()->business_id;
        $this->attributes['name'] = $value;
    }

    protected $fillable = [
        'name',
        'business_id'
    ];

    public function roleUsers()
    {
        return $this->hasMany(RoleUser::class);
    }

    public function rolesList()
    {
        return $this->hasMany(RoleTable::class);
    }

}
