<?php

namespace Modules\Laundry\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;

class RoleTable extends Model
{
    protected $table = 'laundry_role_tables';

    public static function booted()
    {
        static::addGlobalScope('business_check', function (Builder $builder) {
            $builder->where('business_id', auth()->user()->business_id);
        });
    }

    public function setRoleIdAttribute($value){
        $this->attributes['business_id'] = auth()->user()->business_id;
        $this->attributes['role_id'] = $value;
    }

    protected $fillable = [
        'role_id',
        'key',
        'status',
        'business_id'
    ];

    public function role()
    {
        return $this->belongsTo(Role::class);
    }
}
