<?php

namespace Modules\Laundry\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;

class Vendor extends Model
{
    protected $table = 'laundry_vendors';

    public static function booted()
    {
        static::addGlobalScope('business_check', function (Builder $builder) {
            $builder->where('business_id', auth()->user()->business_id);
        });
    }

    public function setNameAttribute($value){
        $this->attributes['business_id'] = auth()->user()->business_id;
        $this->attributes['name'] = $value;
    }
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'name_ar',
        'status',
        'phone',
        'address',
        'email',
        'person',
        'person_ar',
        'business_id'
    ];

    public function business()
    {
        return $this->belongsTo(Business::class);
    }

    public function process_stocks()
    {
        return $this->hasMany(ProcessStock::class);
    }

}
