<?php

namespace Modules\Laundry\Http\Controllers;

use Illuminate\Routing\Controller;
use Modules\Laundry\Entities\Brand;
use Illuminate\Http\Request;

class BrandController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        
        if(!auth()->user()->isAdmin && auth()->user()->id!=1){
            $r = auth()->user()->roleUser->role->rolesList->where('key','brands_view')->first();
            if($r!=null && !$r->status)
                abort(404);
        }
        
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"], ['name'=>"Index"]
        ];
        $brands = Brand::all();
        
        return view('laundry::content/brand/index', ['breadcrumbs' => $breadcrumbs,
        'brands' => $brands,
        'table' => 'brands']);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    public function save(Request $request)
    {
        
        if(!auth()->user()->isAdmin && auth()->user()->id!=1){
            $r = auth()->user()->roleUser->role->rolesList->where('key','brands_add')->first();
            if($r!=null && !$r->status)
                abort(404);
        }
        
        $request->validate([
            'name' => 'required|string|max:255',
        ]);
        if($request->id){
            $brand = Brand::findOrFail($request->id);
            $brand->name = $request->name;
            $brand->name_ar = $request->name_ar;
            $brand->save();
            return redirect()->back()->with('message','Brand updated successfully');
        }else{
            Brand::create([
                'name' => $request->name,
                'name_ar' => $request->name_ar,
                'status' => 1
            ]);
            return redirect()->back()->with('message','New brand added successfully');
        }
        
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Brand  $brand
     * @return \Illuminate\Http\Response
     */
    public function show(Brand $brand)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Brand  $brand
     * @return \Illuminate\Http\Response
     */
    public function edit(Brand $brand)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Brand  $brand
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Brand $brand)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Brand  $brand
     * @return \Illuminate\Http\Response
     */
    public function destroy(Brand $brand)
    {
        //
    }
}
