<?php

namespace Modules\Laundry\Http\Controllers;
use Illuminate\Routing\Controller;
use Modules\Laundry\Entities\Customer;
use Illuminate\Http\Request;

class CustomerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

     public function __construct(){
        
     }

    public function index(){
        
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"], ['name'=>"Customers"]
        ];
        $customers = Customer::all();
        
        return view('laundry::content/launder/customer/index', ['breadcrumbs' => $breadcrumbs,
        'customers' => $customers,
        'table' => 'customers']);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    public function save(Request $request)
    {
        $request->validate([
            'name' => 'required|string|max:255',
        ]);
        if($request->id){
            $brand = Customer::findOrFail($request->id);
            $brand->name = $request->name;
            $brand->name_ar = $request->name_ar;
            $brand->phone = $request->phone;
            $brand->address = $request->address;
            $brand->email = $request->email;
            $brand->save();
            return redirect()->back()->with('message','Customer updated successfully');
        }else{
            Customer::create([
                'name' => $request->name,
                'name_ar' => $request->name_ar,
                'phone' => $request->phone,
                'address' => $request->address,
                'email' => $request->email,
                'status' => 1
            ]);
            return redirect()->back()->with('message','Customer added successfully');
        }
        
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function show(Vendor $vendor)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function edit(Vendor $vendor)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Vendor $vendor)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function destroy(Vendor $vendor)
    {
        //
    }
}
