<?php

namespace Modules\Laundry\Http\Controllers;
use Illuminate\Routing\Controller;
use Modules\Laundry\Entities\InventoryItem;
use Modules\Laundry\Entities\ProcessStock;
use Illuminate\Http\Request;
use Carbon\Carbon;

class StaterkitController extends Controller
{
    // home
    public function home(){

        // return 'in home business '. auth()->user()->business->name;

        return $this->homeLaunder();
    }
    public function homeHospitalHotel(){
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Dashboard"]
        ];


        $available = 0;
        $lostdamagedexpired = 0;
        $itemsCount = 0;
        $wasingCost = 0;
        $inuse = 0;
        $inwashing = 0;
        $monthly_washings = [];

        if(auth()->user()->id==1) // This is the super admin
            $items = InventoryItem::withoutGlobalScope('business_check')->get();
        else
            $items = InventoryItem::get();
        
        foreach($items as $item){
            if(auth()->user()->id==1){
                $last = $item->process_stock(true)->get()->last();
                $status = $last ? $last->status : null;
            }
            else{
                $last = $item->process_stock->last();
                $status = $last ? $last->status : null;
            }
                
            if($status=='registered' || $status=='returned' || $status=='washing_returned')
                $available++;
            else
            if($status=='lost' || $status=='damaged' || $status=='expired')
                $lostdamagedexpired++;
            else
            if($status=='issued')
                $inuse++;
            else
            if($status=='washing')
                $inwashing++;

            if(auth()->user()->id==1){
                $processesWashing = $item->process_stock_washing(true)->get();
                $wasingCost+= $processesWashing->count() * $item->inventory(true)->first()->washing_cost;
            }
            else{
                $processesWashing = $item->process_stock_washing;
                $wasingCost+= $processesWashing->count() * $item->inventory->washing_cost;
            }
                
            
        }

        $itemsCount = $items->count() - $lostdamagedexpired;


        // monthly_washing count and cost
        for ($i = 11; $i >= 0; $i--) {
            $month = Carbon::today()->startOfMonth()->subMonth($i);
            $year =  $month->format('Y');

            if(auth()->user()->id==1){
                $prcesses_washing = ProcessStock::withoutGlobalScope('business_check')
                    ->where('status','washing')
                    ->whereBetween('created_at',[$month->format('Y-m-d H:i:s'),
                                                $month->endOfMonth()->format('Y-m-d H:i:s')])
                                                ->get();
            }else{
                $prcesses_washing = ProcessStock::where('status','washing')
                    ->whereBetween('created_at',[$month->format('Y-m-d H:i:s'),
                                                $month->endOfMonth()->format('Y-m-d H:i:s')])
                                                ->get();
            }
            // dd($prcesses_washing->count());
            
            $cost = 0;
            foreach($prcesses_washing as $process){
                if(auth()->user()->id==1){
                    $first = $process->inventory_item(true)->first();
                    if($first)
                        $cost+= $first->inventory(true)->first()->washing_cost;
                }else{
                    $cost+= $process->inventory_item->inventory->washing_cost;
                }
                
            }
            
            array_push($monthly_washings, array(
                'washing_count' => $prcesses_washing->count(),
                'washing_cost' => $cost,
                'month' => $month->shortMonthName,
                'year' => $year
            ));

        }

        return view('laundry::content/home',
            ['in_stock' => $available,
            'lost_damaged_expired' => $lostdamagedexpired,
            'total_items' => $itemsCount,
            'washing_cost' => $wasingCost,
            'ready_to_use' => $available,
            'in_use' => $inuse,
            'in_washing' => $inwashing,
            'monthly_washing' => $monthly_washings]
        );
    }

    public function homeLaunder(){
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Dashboard"]
        ];


        $available = 0;
        $lostdamagedexpired = 0;
        $itemsCount = 0;
        $wasingCost = 0;
        $inuse = 0;
        $inwashing = 0;
        $monthly_washings = [];

        if(auth()->user()->id==1) // This is the super admin
            $items = InventoryItem::withoutGlobalScope('business_check')->get();
        else
            $items = InventoryItem::get();
        
        foreach($items as $item){
            if(auth()->user()->id==1){
                $last = $item->process_stock(true)->get()->last();
                $status = $last ? $last->status : null;
            }
            else{
                $last = $item->process_stock->last();
                $status = $last ? $last->status : null;
            }
            if($status=='registered' || $status=='returned' || $status=='washing_returned')
                $available++;
            else
            if($status=='lost' || $status=='damaged' || $status=='expired')
                $lostdamagedexpired++;
            else
            if($status=='issued')
                $inuse++;
            else
            if($status=='washing')
                $inwashing++;

            if(auth()->user()->id==1){
                $processesWashing = $item->process_stock_washing(true)->get();
                $wasingCost+= $processesWashing->count() * $item->inventory(true)->first()->washing_cost;
            }
            else{
                $processesWashing = $item->process_stock_washing;
                $wasingCost+= $processesWashing->count() * $item->inventory->washing_cost;
            }
                
            
        }

        $itemsCount = $items->count() - $lostdamagedexpired;


        // monthly_washing count and cost
        for ($i = 11; $i >= 0; $i--) {
            $month = Carbon::today()->startOfMonth()->subMonth($i);
            $year =  $month->format('Y');

            if(auth()->user()->id==1){
                $prcesses_washing = ProcessStock::withoutGlobalScope('business_check')
                    ->where('status','washing')
                    ->whereBetween('created_at',[$month->format('Y-m-d H:i:s'),
                                                $month->endOfMonth()->format('Y-m-d H:i:s')])
                                                ->get();
            }else{
                $prcesses_washing = ProcessStock::where('status','washing')
                    ->whereBetween('created_at',[$month->format('Y-m-d H:i:s'),
                                                $month->endOfMonth()->format('Y-m-d H:i:s')])
                                                ->get();
            }
            // dd($prcesses_washing->count());
            
            $cost = 0;
            foreach($prcesses_washing as $process){
                if(auth()->user()->id==1){
                    $first = $process->inventory_item(true)->first();
                    if($first)
                        $cost+= $first->inventory(true)->first()->washing_cost;
                }else{
                    $cost+= $process->inventory_item->inventory->washing_cost;
                }
                
            }
            
            array_push($monthly_washings, array(
                'washing_count' => $prcesses_washing->count(),
                'washing_cost' => $cost,
                'month' => $month->shortMonthName,
                'year' => $year
            ));

        }
        
        return view('laundry::content/homelaunder',
            ['in_stock' => $available,
            'lost_damaged_expired' => $lostdamagedexpired,
            'total_items' => $itemsCount,
            'washing_cost' => $wasingCost,
            'ready_to_use' => $available,
            'in_use' => $inuse,
            'in_washing' => $inwashing,
            'monthly_washing' => $monthly_washings]
        );
    }
    

    // Layout collapsed menu
    public function collapsed_menu(){
        $pageConfigs = ['sidebarCollapsed' => true];
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"],['link'=>"javascript:void(0)",'name'=>"Layouts"], ['name'=>"Collapsed menu"]
        ];
        return view('laundry::content/layout-collapsed-menu', ['breadcrumbs' => $breadcrumbs, 'pageConfigs' => $pageConfigs]);
    }

    // layout boxed
    public function layout_boxed(){
        $pageConfigs = ['layoutWidth' => 'boxed'];

        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"],['name'=>"Layouts"], ['name'=>"Layout Boxed"]
        ];
        return view('laundry::content/layout-boxed', [ 'pageConfigs' => $pageConfigs,'breadcrumbs' => $breadcrumbs]);
    }

    // without menu
    public function without_menu(){
        $pageConfigs = ['showMenu' => false];
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"],['link'=>"javascript:void(0)",'name'=>"Layouts"], ['name'=>"Layout without menu"]
        ];
        return view('laundry::content/layout-without-menu', [ 'breadcrumbs' => $breadcrumbs,'pageConfigs'=>$pageConfigs]);
    }

    // Empty Layout
    public function layout_empty()
    {
        $breadcrumbs = [['link' => "/dashboard/analytics", 'name' => "Home"], ['link' => "javascript:void(0)", 'name' => "Layouts"], ['name' => "Layout Empty"]];
        return view('laundry::content/layout-empty', ['breadcrumbs' => $breadcrumbs]);
    }
    // Blank Layout
    public function layout_blank()
    {
        $pageConfigs = ['blankPage' => true];
        $breadcrumbs = [['link' => "/dashboard/analytics", 'name' => "Home"], ['link' => "javascript:void(0)", 'name' => "Layouts"], ['name' => "Layout Blank"]];
        return view('laundry::content/layout-blank', ['pageConfigs' => $pageConfigs, 'breadcrumbs' => $breadcrumbs]);
    }
}
