<?php

namespace Modules\Laundry\Http\Controllers;
use Illuminate\Routing\Controller;
use Modules\Laundry\Entities\Category;
use Modules\Laundry\Entities\Subcategory;
use Illuminate\Http\Request;

class SubcategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"], ['name'=>"Index"]
        ];
        $parents = Category::all();
        $subcategories = Subcategory::all();
        
        return view('laundry::content/subcategory/index', ['breadcrumbs' => $breadcrumbs,
        'parents' => $parents,
        'subcategories' => $subcategories,
        'table' => 'subcategories']);
    }

    public function subcategoriesList(Request $request){

        $subcategories = Subcategory::where('parent',$request->id)->get();
        $html = "";
        foreach ($subcategories as $subcategory){
            $html .= '<option value="'.$subcategory->id.'">'.$subcategory->name.'</option>';
        }
        return $html;
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    public function save(Request $request)
    {
        $request->validate([
            'parent' => 'required|integer',
            'name' => 'required|string|max:255',
        ]);
        if($request->id){
            $category = Subcategory::findOrFail($request->id);
            $category->parent = $request->parent;
            $category->name = $request->name;
            $category->name_ar = $request->name_ar;
            $category->save();
            return redirect()->back()->with('message','Sub Category updated successfully');
        }else{
            Subcategory::create([
                'parent' => $request->parent,
                'name' => $request->name,
                'name_ar' => $request->name_ar,
                'status' => 1
            ]);
            return redirect()->back()->with('message','New sub category added successfully');
        }
        
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function show(Category $category)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function edit(Category $category)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Category $category)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function destroy(Category $category)
    {
        //
    }
}
