<?php

namespace Modules\Laundry\Http\Controllers;
use Illuminate\Routing\Controller;
use Modules\Laundry\Entities\Vendor;
use Illuminate\Http\Request;

class VendorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        
        if(!auth()->user()->isAdmin && auth()->user()->id!=1){
            $r = auth()->user()->roleUser->role->rolesList->where('key','vendors_view')->first();
            if($r!=null && $r->status)
                abort(404);
        }
        
        $breadcrumbs = [
            ['link'=>"home",'name'=>"Home"], ['name'=>"Index"]
        ];
        $vendors = Vendor::all();
        
        return view('laundry::content/vendor/index', ['breadcrumbs' => $breadcrumbs,
        'vendors' => $vendors,
        'table' => 'vendors']);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    public function save(Request $request)
    {
        
        if(!auth()->user()->isAdmin && auth()->user()->id!=1){
            $r = auth()->user()->roleUser->role->rolesList->where('key','vendors_add')->first();
            if($r!=null && $r->status)
                abort(404);
        }
        
        $request->validate([
            'name' => 'required|string|max:255',
        ]);
        if($request->id){
            $brand = Vendor::findOrFail($request->id);
            $brand->name = $request->name;
            $brand->name_ar = $request->name_ar;
            $brand->phone = $request->phone;
            $brand->address = $request->address;
            $brand->email = $request->email;
            $brand->person = $request->person;
            $brand->person_ar = $request->person_ar;
            $brand->save();
            return redirect()->back()->with('message','Vendor updated successfully');
        }else{
            Vendor::create([
                'name' => $request->name,
                'name_ar' => $request->name_ar,
                'phone' => $request->phone,
                'address' => $request->address,
                'email' => $request->email,
                'person' => $request->person,
                'person_ar' => $request->person_ar,
                'status' => 1
            ]);
            return redirect()->back()->with('message','New vendor added successfully');
        }
        
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function show(Vendor $vendor)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function edit(Vendor $vendor)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Vendor $vendor)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Vendor  $vendor
     * @return \Illuminate\Http\Response
     */
    public function destroy(Vendor $vendor)
    {
        //
    }
}
