@extends('laundry::layouts/contentLayoutMaster')

@section('title', __('locale.Month Report') )

@section('vendor-style')
  {{-- vendor css files --}}
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/tables/datatable/dataTables.bootstrap4.min.css')) }}">
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/tables/datatable/responsive.bootstrap4.min.css')) }}">
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/tables/datatable/buttons.bootstrap4.min.css')) }}">
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/tables/datatable/rowGroup.bootstrap4.min.css')) }}">
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/pickers/flatpickr/flatpickr.min.css')) }}">
  
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/pickers/pickadate/pickadate.css')) }}">
  <link rel="stylesheet" href="{{ asset(('laundry-files/vendors/css/pickers/flatpickr/flatpickr.min.css')) }}">
  
  <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
  
  @livewireStyles
@endsection
@section('page-style')

<link rel="stylesheet" href="{{ asset(('laundry-files/css/base/plugins/forms/pickers/form-flat-pickr.css')) }}">
<link rel="stylesheet" href="{{ asset(('laundry-files/css/base/plugins/forms/pickers/form-pickadate.css')) }}">

<style>
  .dataTables_info{
    padding-left: 15px;
  }
  .dataTables_length{
    padding-left: 15px;
  }
  .pagination{
    padding-right: 15px;
  }
  .dataTables_filter{
    padding-right: 15px;
  }
  
  .buttons-copy{
    margin-left: 15px;
  }
  .buttons-html5{
    margin-top: 15px;
    box-shadow: none;
    display: inline-block;
    font-weight: 400;
    color: #6e6b7b;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
    padding: 0.786rem 1.5rem;
    font-size: 1rem;
    line-height: 1;
    border-radius: 0.358rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, background 0s, border 0s;
    border-color: #7367f0 !important;
    background-color: #7367f0 !important;
    color: #fff !important;
  }
  </style>
@endsection

  

@section('content')
@if(session()->has('message'))
    <div class="alert alert-success p-2" role="alert">
        {{ session()->get('message') }}
    </div>
@endif

@if($errors->any())
    {!! implode('', $errors->all('<div class="alert alert-danger p-2" role="alert">:message</div>')) !!}
@endif

<!-- Basic table -->
<section id="basic-datatable">
  <div class="row">
    <div class="col-12">
      <div class="card">

        <div class="card-body">

            <div class="modal-body flex-grow-1 row">
              <div class="form-group col-md-5">
                  <label class="form-label" for="basic-icon-default-fullname">{{ __('locale.Year') }}</label>
                  <select class="form-control"
                    id="year"
                    name="year">
                    <option value="">{{ __('locale.Select Year') }}</option>
                    <option value="2021" {{ ($_GET['y']??'')!=2021 ? '' : 'selected' }}>{{ __('locale.2021') }}</option>
                    <option value="2022" {{ ($_GET['y']??'')!=2022 ? '' : 'selected' }} {{ ($_GET['y']??'')=='' ? 'selected' : '' }}>{{ __('locale.2022') }}</option>
                    <option value="2023" {{ ($_GET['y']??'')!=2023 ? '' : 'selected' }}>{{ __('locale.2023') }}</option>
                    
                  </select>
              </div>
              <div class="form-group col-md-5">
                  <label class="form-label" for="basic-icon-default-fullname">{{ __('locale.Month') }}</label>
                  <select class="form-control"
                    id="month"
                    name="month">
                    <option value="">Select Month</option>
                    <option value="1" {{ ($_GET['m']??'')!=1 ? '' : 'selected' }} {{ ($_GET['m']??'')=='' ? 'selected' : '' }}>{{ __('locale.January') }}</option>
                    <option value="2" {{ ($_GET['m']??'')!=2 ? '' : 'selected' }}>{{ __('locale.February') }}</option>
                    <option value="3" {{ ($_GET['m']??'')!=3 ? '' : 'selected' }}>{{ __('locale.March') }}</option>
                    <option value="4" {{ ($_GET['m']??'')!=4 ? '' : 'selected' }}>{{ __('locale.April') }}</option>
                    <option value="5" {{ ($_GET['m']??'')!=5 ? '' : 'selected' }}>{{ __('locale.May') }}</option>
                    <option value="6" {{ ($_GET['m']??'')!=6 ? '' : 'selected' }}>{{ __('locale.June') }}</option>
                    <option value="7" {{ ($_GET['m']??'')!=7 ? '' : 'selected' }}>{{ __('locale.July') }}</option>
                    <option value="8" {{ ($_GET['m']??'')!=8 ? '' : 'selected' }}>{{ __('locale.August') }}</option>
                    <option value="9" {{ ($_GET['m']??'')!=9 ? '' : 'selected' }}>{{ __('locale.September') }}</option>
                    <option value="10" {{ ($_GET['m']??'')!=10 ? '' : 'selected' }}>{{ __('locale.October') }}</option>
                    <option value="11" {{ ($_GET['m']??'')!=11 ? '' : 'selected' }}>{{ __('locale.November') }}</option>
                    <option value="12" {{ ($_GET['m']??'')!=12 ? '' : 'selected' }}>{{ __('locale.December') }}</option>
                  </select>
              </div>
              <div class="form-group col-md-2">
                  <label class="form-label" for="basic-icon-default-fullname"> </label>
                  <button onclick="reloadWithParams()" class="btn btn-primary form-control">{{ __('locale.Search') }}</button>
              </div>
              
            </div>
          
        </div>

        <table id="rfidtable" class="table" style="width:100%">
          <thead>
              <tr>
                <th>#</th>
                <th>{{ __('locale.Sub Category') }}</th>
                <th>{{ __('locale.Tot. New Registered') }}</th>
                <th>{{ __('locale.Tot. Washing') }}</th>
                <th>{{ __('locale.Washing Cost') }}</th>
                <th>{{ __('locale.Tot. Expired') }}</th>
                <th>{{ __('locale.Tot. Damage') }}</th>
                <th>{{ __('locale.Tot. Lost') }}</th>
              </tr>
          </thead>
          <tbody>
              @foreach($rows as $row)
                <tr>
                  <td>{{ $row['serial'] }}</td>
                  <td>{{ $row['name'] }}</td>
                  <td style="text-align: center">{{ $row['registered'] }}</td>
                  <td style="text-align: center">{{ $row['t_washes'] }}</td>
                  <td style="text-align: center">Rs. {{ $row['t_washes_cost'] }}</td>
                  <td style="text-align: center">{{ $row['t_expired'] }}</td>
                  <td style="text-align: center">{{ $row['t_damaged'] }}</td>
                  <td style="text-align: center">{{ $row['t_lost'] }}</td>
                </tr>
              @endforeach
          </tbody>
        </table>

      </div>
    </div>
  </div>
</section>


<div class="modal-size-default d-inline-block">
  <!-- Modal -->
  <div class="modal fade text-left" id="actionModel" tabindex="-1" role="dialog"
        aria-labelledby="myModalLabel18" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content">
              <div class="modal-header">
                  <h4 class="modal-title" id="myModalLabel18">{{ __('locale.Change Item Status') }}</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" onclick="$('#actionModel').modal('hide');">
                      <span aria-hidden="true">&times;</span>
                  </button>
              </div>
              <div class="modal-body">
              {{ __('locale.Please select the status below') }}
              </div>
              <div class="modal-footer">

              <form method="post" action="{{ url('/laundry/stock/process/save') }}">
                  @csrf
                  <input type="hidden" name="id" class="itemid">
                  <input type="hidden" name="purpose" value="damaged">
                  <input type="submit" value="Damage" class="btn btn-primary">
                </form>

                <form method="post" action="{{ url('/laundry/stock/process/save') }}">
                  @csrf
                  <input type="hidden" name="id" class="itemid">
                  <input type="hidden" name="purpose" value="expired">
                  <input type="submit" value="Expire" class="btn btn-primary">
                </form>
                
                <form method="post" action="{{ url('/laundry/stock/process/save') }}">
                  @csrf
                  <input type="hidden" name="id" class="itemid">
                  <input type="hidden" name="purpose" value="lost">
                  <input type="submit" value="Lost" class="btn btn-primary">
                </form>
                
                <form method="post" action="{{ url('/laundry/stock/process/save') }}">
                  @csrf
                  <input type="hidden" name="id" class="itemid">
                  <input type="hidden" name="purpose" value="reallocated">
                  <input type="submit" value="Re-allocate" class="btn btn-primary">
                </form>
                
              </div>
          </div>
      </div>
  </div>
</div>


@endsection


@section('vendor-script')
  @livewireScripts
  {{-- vendor files --}}
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/jquery.dataTables.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/datatables.bootstrap4.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/dataTables.responsive.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/responsive.bootstrap4.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/datatables.checkboxes.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/datatables.buttons.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/jszip.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/pdfmake.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/vfs_fonts.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/buttons.html5.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/buttons.print.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/tables/datatable/dataTables.rowGroup.min.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/pickers/flatpickr/flatpickr.min.js')) }}"></script>

  <script src="{{ asset(('laundry-files/vendors/js/pickers/pickadate/picker.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/pickers/pickadate/picker.date.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/pickers/pickadate/picker.time.js')) }}"></script>
  <script src="{{ asset(('laundry-files/vendors/js/pickers/pickadate/legacy.js')) }}"></script>
  
@endsection
@section('page-script')
<script src="{{ asset(('laundry-files/js/scripts/forms/pickers/form-pickers.js')) }}"></script>

  <!-- <script src="{{ asset(('laundry-files/js/scripts/tables/table-datatables-basic.js')) }}"></script> -->
  <script>
  const rfidTagsList = [];
  var table;

  $(document).ready(function() {
    table = $('#rfidtable').DataTable({
      "bPaginate": true,
      "bLengthChange": true,
      "bFilter": true,
      "bInfo": true,
      "bAutoWidth": true,
      "ordering": true,
      dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5'
        ]
      // "columnDefs": [
      //   { "width": "5%", "targets": 0 }
      // ]
    });

    
  });

  function reloadWithParams(){
    window.location = "{{ url('/laundry/reports/month') }}?y=" + $('#year').val()
                      + "&m=" + $('#month').val();
  }
  
  </script>
@endsection
