@php
$configData = Modules\Laundry\Utils\HelperUtil::applClasses();

$configData['theme'] = 'semi-dark';
$configData['layoutTheme'] = 'semi-dark';
$configData['horizontalMenuType'] = 'sticky';
@endphp
<div class="main-menu menu-fixed {{(($configData['theme'] === 'dark') || ($configData['theme'] === 'semi-dark')) ? 'menu-dark' : 'menu-light'}} menu-accordion menu-shadow" data-scroll-to-active="true">
  <div class="navbar-header">
    <ul class="nav navbar-nav flex-row">
      <li class="nav-item mr-auto"><a class="navbar-brand" href="{{url('/')}}">
        <!-- <span class="brand-logo"></span> -->
          <h2 class="brand-text">Smart Laundry</h2>
        </a></li>
      <li class="nav-item nav-toggle"><a class="nav-link modern-nav-toggle pr-0" data-toggle="collapse"><i class="d-block d-xl-none text-primary toggle-icon font-medium-4" data-feather="x"></i><i class="d-none d-xl-block collapse-toggle-icon font-medium-4  text-primary" data-feather="disc" data-ticon="disc"></i></a></li>
    </ul>
  </div>
  <div class="shadow-bottom"></div>
  <div class="main-menu-content">
    <ul class="navigation navigation-main" id="main-menu-navigation" data-menu="menu-navigation">
      {{-- Foreach menu item starts --}}
      
      
      @php
        $verticalMenuJsonLaunder = '{
  "menu": [
    {
      "url": "home",
      "name": "Home",
      "icon": "far fa-home-lg-alt",
      "slug": "home"
    },
    {
      "url": "customers",
      "name": "Customers",
      "icon": "fas fa-users",
      "slug": "customers"
    },
    {
      "url": "categories",
      "name": "Categories",
      "icon": "far fa-archive",
      "slug": "categories",
      "submenu": [
        {
          "url": "categories",
          "name": "Categories List",
          "icon": "far fa-archive",
          "slug": "categories"
        },
        {
          "url": "subcategories",
          "name": "Sub Categories",
          "icon": "circle",
          "slug": "subcategories"
        }
      ]
    },
    {
      "url": "launder-stock/add",
      "name": "Receive",
      "icon": "fas fa-hand-receiving",
      "slug": "received"
    },
    {
      "url": "launder-stock/wash",
      "name": "Wash",
      "icon": "fas fa-washer",
      "slug": "wash"
    },
    {
      "url": "launder-stock/sent",
      "name": "Sent",
      "icon": "fas fa-exchange",
      "slug": "sent"
    },
    {
      "url": "status",
      "name": "Reports",
      "icon": "fas fa-chart-area",
      "slug": "reports",
      "submenu": [
        {
          "url": "launder-stock",
          "name": "History",
          "icon": "far fa-building",
          "slug": "stock-report"
        },
        {
          "url": "launder-reports/received",
          "name": "Received",
          "icon": "far fa-building",
          "slug": "inventory-received"
        },
        {
          "url": "launder-reports/washed",
          "name": "Washed",
          "icon": "far fa-building",
          "slug": "inventory-washed"
        },
        {
          "url": "launder-reports/sent",
          "name": "Returned",
          "icon": "far fa-building",
          "slug": "inventory-sent"
        },
        {
          "url": "launder-reports/status",
          "name": "Inventory Status",
          "icon": "far fa-building",
          "slug": "inventory-status"
        },
        {
          "url": "reports/lost-damage",
          "name": "Lost Damage Report",
          "icon": "far fa-building",
          "slug": "lost-damage-report"
        },
        {
          "url": "launder-reports/month",
          "name": "Monthly Report",
          "icon": "far fa-building",
          "slug": "monthly-report"
        }
      ]
    },
    {
      "url": "settings",
      "name": "Settings",
      "icon": "fas fa-cog",
      "slug": "settings"
    },
    {
      "url": "language",
      "name": "Language",
      "icon": "fal fa-language",
      "slug": "language"
    }

  ]
}
';
        
        $verticalMenuDataLaunder = json_decode($verticalMenuJsonLaunder, true);
        
        $menu_data = $verticalMenuDataLaunder;
        
        
      @endphp
     

      @if($menu_data!=null)
      @foreach($menu_data["menu"] as $menu)
      @if(isset($menu["navheader"]))
      <li class="navigation-header">
        <span>{{ $menu["navheader"] }}</span>
        <i data-feather="more-horizontal"></i>
      </li>
      @else
      {{-- Add Custom Class with nav-item --}}
      @php
      $custom_classes = "";
      if(isset($menu["classlist"])) {
        $custom_classes = $menu["classlist"];
      }
      @endphp
      <li class="nav-item {{ Route::currentRouteName() === $menu['slug'] ? 'active' : '' }} {{ $custom_classes }}">
        <a href="{{isset($menu['url'])? url('laundry/'.$menu['url']):'javascript:void(0)'}}" class="d-flex align-items-center" target="{{isset($menu['newTab']) ? '_blank':'_self'}}">
          <i class="{{ $menu['icon'] }} mr-2"></i>
          <span class="menu-title text-truncate">{{ __('locale.'.$menu['name']) }}</span>
          @if (isset($menu['badge']))
          <?php $badgeClasses = "badge badge-pill badge-light-primary ml-auto mr-1" ?>
          <span class="{{ isset($menu['badgeClass']) ? $menu['badgeClass'] : $badgeClasses }} ">{{$menu['badge']}}</span>
          @endif
        </a>
        @if(isset($menu['submenu']))
        @include('laundry::panels/submenu', ['menu' => $menu['submenu']])
        @endif
      </li>
      @endif
      @endforeach
      @endif
      {{-- Foreach menu item ends --}}
    </ul>
  </div>
</div>
<!-- END: Main Menu-->
